Custom Fields API does not include "editable" attribute in the response

2024-12-04 07:30 - salman mp

Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 6.0.5   

Resolution:  Affected version:  

Description

editable field is not shown in custom fields json/xml

History

#1 - 2024-12-04 07:31 - salman mp

- File return_editable_field_for_UserCustomFields_in_API-fixed.patch added

#2 - 2024-12-14 07:17 - Go MAEDA

- Tracker changed from Patch to Defect

- Subject changed from Show "editable" attribute on CustomField list API to Custom Fields API does not include "editable" attribute in the response

- Status changed from New to Confirmed

- Target version set to 6.0.3

Thank you for reporting this issue.

I am setting the target version to 6.0.3.

The following patch updates the tests to detect this issue.

diff --git a/test/integration/api_test/custom_fields_test.rb b/test/integration/api_test/custom_fields_test.rb

index 0df56e59a..ca772417a 100644

--- a/test/integration/api_test/custom_fields_test.rb

+++ b/test/integration/api_test/custom_fields_test.rb

@@ -29,6 +29,7 @@ class Redmine::ApiTest::CustomFieldsTest < Redmine::ApiTest::Base

       assert_select 'custom_field' do

         assert_select 'name', :text => 'Database'

         assert_select 'description', :text => 'Select one of the databases'

+        assert_select 'editable', :text => 'true'

         assert_select 'id', :text => '2'

         assert_select 'customized_type', :text => 'issue'

         assert_select 'possible_values[type=array]' do

#3 - 2024-12-15 13:59 - salman mp

Go MAEDA wrote in #note-2:

Thank you for reporting this issue.

The following patch updates the tests to detect this issue.

 Thank you for your attention and your patch.

#4 - 2024-12-16 12:00 - salman mp

Go MAEDA wrote in #note-2:

The following patch updates the tests to detect this issue.

 By appling my patch, the test will be failed I guess. Because my patch only returns 'editable' field if custom_field is a UserCustomField.

#5 - 2025-01-28 00:37 - Go MAEDA
- Target version changed from 6.0.3 to 6.0.4

#6 - 2025-03-02 08:39 - Go MAEDA

- Target version changed from 6.0.4 to 6.0.5

Files

return_editable_field_for_UserCustomFields_in_API.patch 1.53 KB 2024-12-04 salman mp

return_editable_field_for_UserCustomFields_in_API-fixed.patch 837 Bytes 2024-12-04 salman mp
